#!/bin/sh

echo "Content-type: text/html"
echo

PIDS=`ps -C pppd | gawk '{print $1}'`
if [ ! -z "$PIDS" ]
then
   #pppd is running
   DEVICE=`cat /proc/net/dev | gawk '{print$1}' | gawk -F ':' '{print $1}' | grep ^ppp0`
   if [ $? -ne 0 ]
   then
     echo "offline"
     exit 1
   fi

   IP=`sudo /sbin/ifconfig $DEVICE | grep "inet addr" | gawk '{print $2}' | gawk -F ':' '{print $2}'`
   if [ "$IP" == "192.168.0.1" ]
   then
     echo "offline"
     exit 2
   fi
   echo "$IP"
fi

exit 0
